> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getreditus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Rewards

> Retrieve a paginated list of rewards



## OpenAPI

````yaml GET /v1/rewards
openapi: 3.1.0
info:
  title: Reditus API - Rewards
  description: API specification for managing rewards in Reditus reward programs.
  version: 1.0.0
servers:
  - url: https://api.getreditus.com/api
security: []
paths:
  /v1/rewards:
    get:
      summary: List Rewards
      description: Retrieve a paginated list of rewards
      parameters:
        - name: state_eq
          in: query
          schema:
            type: string
            description: Filter by state
        - name: advocate_id_eq
          in: query
          schema:
            type: string
            description: Filter by advocate ID (UUID) or advocate UID
        - name: lead_id_eq
          in: query
          schema:
            type: string
            description: Filter by lead ID
        - name: created_at_lt
          in: query
          schema:
            type: string
            description: Created before (e.g. "2022-12-24%2012:47:45%20+0200")
        - name: created_at_gt
          in: query
          schema:
            type: string
            description: Created after (e.g. "2021-11-23%2012:47:45%20+0200")
        - name: page
          in: query
          schema:
            type: integer
            description: Page number
        - name: per_page
          in: query
          schema:
            type: integer
            maximum: 50
            description: Records to be displayed per page
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RewardListResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    RewardListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Reward'
        meta:
          type: object
          properties:
            pagination:
              type: object
              properties:
                page:
                  type: integer
                per_page:
                  type: integer
                has_more:
                  type: boolean
    Reward:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        attributes:
          type: object
          properties:
            id:
              type: string
            advocate_id:
              type: string
            advocate_uid:
              type: string
            lead_id:
              type: string
            lead_email:
              type: string
            amount:
              type: integer
              description: Amount in cents (e.g., 1000 = $10.00)
            currency:
              type: string
            state:
              type: string
            created_at:
              type: integer
            updated_at:
              type: integer
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````